Bug 952238 - [RFE] Specify CPU per VM - with higher cpu models and migration
Summary: [RFE] Specify CPU per VM - with higher cpu models and migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: sefi litmanovich
URL: http://www.ovirt.org/Features/Cluster...
Whiteboard:
Depends On: 838490 1236049
Blocks: 1302707
TreeView+ depends on / blocked
 
Reported: 2013-04-15 12:43 UTC by Itamar Heim
Modified: 2016-07-13 09:31 UTC (History)
8 users (show)

Fixed In Version: ovirt-3-6-0-2
Doc Type: Enhancement
Doc Text:
Clone Of: 838490
Environment:
Last Closed: 2016-03-09 20:30:26 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 32546 master MERGED core: Cluster parameters override - fields\db Never

Description Itamar Heim 2013-04-15 12:43:52 UTC
cloning bug 838490 to cover the use case with live migration (sub cluster level scheduling, sla, etc.)

+++ This bug was initially created as a clone of Bug #838490 +++

Today the CPU type is taken from the cluster level
eg.If the cluster is Westmere then all the VMs are launched with -cpu westmere

We need the ability to specify CPU per virtual machine.
The setting should allow the cluster type or any lower CPU level

--- Additional comment from Itamar Heim on 2013-04-01 05:33:04 EDT ---

Andrew - can you please elaborate on goal/reason here?
we have the -cpu host for performance.
I assume you don't want someone to set a VM to a lower cpu, rather only to a higher one, which may make it impossible to migrate, etc.

is this supposed to be like -cpu host, but "hopefully migrate-able"?

(switching to sla, as main consideration here will be scheduling)

--- Additional comment from Andrew Cathrow on 2013-04-07 22:06:59 EDT ---

User cases

1. Allow a virtual machine to maintain a static CPU configuration.
eg. User is running VM on westmere host and upgrades the host systems to sandybridge.
Just because we are using a SandyBridge based host it doesn't mean we want to expose that to the guest. The guest may need to keep a consistent CPU and hardware profile.

2. Best performance (+ migration and stability)
- 10 node cluster. 
- 8 nodes are westmere, 2 are sandybridge
- Cluster level set to "westmere"

Allow admin to run VM with hardcoded "sandybridge" CPU on one of the 2 applicable hosts. Support migration between compatible hosts.

Obviously this brings with it restrictions.
- If no sandbridge system is running (or has capacity) then the VM can't be run
- You can only migrate between the 2 sandybridge machines
- If only one sandybridge machine is running the host won't be able to go into maintenance mode since it can't live migrate to another host so the VM will need to be stopped first.

Comment 6 sefi litmanovich 2016-01-03 13:19:52 UTC
Verified with rhevm-3.6.2-0.1.el6.noarch according to attached test plan.
Test run:

https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_VIRT_Cluster_Parameters_Override_23122015

Comment 9 errata-xmlrpc 2016-03-09 20:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.